## org.red5.server.api.remoting
Interface IRemotingConnection

All Superinterfaces:
  AttributeStoreMBean, ConnectionMBean, IAttributeStore, ICastingAttributeStore, IConnection, ICoreObject, IEventDispatcher, IEventHandler, IEventListener

All Known Implementing Classes:
  RemotingConnection

    public interface IRemotingConnection

extends IConnection

Connection coming from Remoting clients.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Nested Class Summary

Nested classes/interfaces inherited from interface org.red5.server.api.IConnection
`IConnection.Encoding`

Field Summary

Fields inherited from interface org.red5.server.api.IConnection
`PERSISTENT, POLLING, TRANSIENT`

Method Summary
`void` `addHeader(String name, Object value)` Tell the client to add a header with all further requests.
`void` `addHeader(String name, Object value, boolean mustUnderstand)` Tell the client to add a header with all further requests.
`Collection<IRemotingHeader>` `getHeaders()` Return headers to send.
`void` `removeHeader(String name)` Tell the client to no longer send a header with all further requests.

Methods inherited from interface org.red5.server.api.IConnection
`close, connect, connect, getBasicScopes, getClient, getClientBytesRead, getConnectParams, getDroppedMessages, getEncoding, getHost, getLastPingTime, getPath, getPendingMessages, getReadBytes, getReadMessages, getRemoteAddress, getRemoteAddresses, getRemotePort, getScope, getSessionId, getType, getWrittenBytes, getWrittenMessages, initialize, isConnected, ping`

Methods inherited from interface org.red5.server.api.ICastingAttributeStore
`getBoolAttribute, getByteAttribute, getDoubleAttribute, getIntAttribute, getListAttribute, getLongAttribute, getMapAttribute, getSetAttribute, getShortAttribute, getStringAttribute`

Methods inherited from interface org.red5.server.api.IAttributeStore
`getAttribute, getAttribute, getAttributeNames, getAttributes, hasAttribute, removeAttribute, removeAttributes, setAttribute, setAttributes, setAttributes`

Methods inherited from interface org.red5.server.api.event.IEventDispatcher
`dispatchEvent`

Methods inherited from interface org.red5.server.api.event.IEventHandler
`handleEvent`

Methods inherited from interface org.red5.server.api.event.IEventListener
`notifyEvent`

Method Detail

### addHeader

    void addHeader(String name,
                   Object value)

  Tell the client to add a header with all further requests. This is returned to the client as response for the next request received.

  Parameters:
    `name` - name of the header to add
    `value` - value of the header to add

### addHeader

    void addHeader(String name,
                   Object value,
                   boolean mustUnderstand)

  Tell the client to add a header with all further requests. This is returned to the client as response for the next request received.

  Parameters:
    `name` - name of the header to add
    `value` - value of the header to add
    `mustUnderstand` - a boolean flag specifying if the server must pocess this header before handling following headers or messages

### removeHeader

    void removeHeader(String name)

  Tell the client to no longer send a header with all further requests. This is returned to the client as response for the next request received.

  Parameters:
    `name` - name of the header to remove

### getHeaders

    Collection<IRemotingHeader> getHeaders()

  Return headers to send.

  Returns:
    headers to send

Copyright © 2006-2010 The Red5 Project